> For the complete documentation index, see [llms.txt](https://docs.xaman.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.xapp/selectdestination.md).

# selectDestination({ … })

Open the Destination Picker: select/find/scan (QR) an XRPL destination account by r-address, slug or PayString

## Parameters

If you want to request the destination address only, skipping the "Destination Tag" required check & input, you can provide the `ignoreDestinationTag` param. If not provided (or `false`) Xumm will chech if the destination account requires a Destination Tag and ask the user to input one.

```javascript
{ ignoreDestinationTag: boolean }
```

{% hint style="info" %}
The `ignoreDestinationTag` feature is available in Xumm 2.5.0 and higher.
{% endhint %}

## Syntax

```javascript
xumm.xapp.selectDestination({ ignoreDestinationTag: false })
xumm.xapp.on('destination', data => {
    console.log('Destination', data.destination)
})
```

## Response

Returns an event: `destination`. Use [on(xAppEvent, fn)](/js-ts-sdk/sdk-syntax/xumm.xapp/on-event-fn.md) to subscribe to the return data.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.xapp/selectdestination.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
